Skip to main content
GET
/
v1
/
conversations
Get all conversations
curl --request GET \
  --url https://dev.flextell.ai/api/v1/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "display_name": "<string>",
      "address": "<string>",
      "last_message_id": "<string>",
      "last_message": "<string>",
      "last_message_at": "<string>",
      "last_message_type": "<string>",
      "last_message_is_customer": true,
      "unread_count": "<string>",
      "agent_disabled": true,
      "agent_expires_at": "2023-11-07T05:31:56Z",
      "agent_disabled_by_user_name": "<string>",
      "customer": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "avatar_url": "<string>"
      },
      "channel": {
        "id": 123,
        "name": "<string>",
        "type": "<string>",
        "address": "<string>"
      },
      "blacklist": {
        "id": 123,
        "tenant_id": 123,
        "reason": "<string>",
        "reason_label": "<string>",
        "note": "<string>",
        "blocked_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "is_active": true,
        "is_permanent": true,
        "is_expired": true,
        "remaining_time": "<string>",
        "metadata": [
          "<unknown>"
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "channel": {
          "id": 123,
          "name": "<string>",
          "address": "<string>"
        },
        "customer": {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "phone_number": "<string>",
          "email": "<string>"
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
search
string | null

The search query.

Maximum string length: 255
channel_type
enum<string> | null

Filter by channel type (whatsapp, instagram, etc.).

Available options:
whatsapp,
instagram,
website,
telegram

Response

Paginated set of ConversationResource

data
ConversationResource · object[]
required
meta
object
required